      
        var highlightLayer;
        function highlightFeature(e) {
            highlightLayer = e.target;

            if (e.target.feature.geometry.type === 'LineString' || e.target.feature.geometry.type === 'MultiLineString') {
              highlightLayer.setStyle({
                color: 'rgba(255, 255, 0, 1.00)',
              });
            } else {
              highlightLayer.setStyle({
                fillColor: 'rgba(255, 255, 0, 1.00)',
                fillOpacity: 1
              });
            }
        }
        
        
        const projectCenter = [40.728555,8.511169];
        const zoomLevel = 3;

        var map = L.map('map', {
            center: projectCenter, 
            zoom: zoomLevel,
            zoomControl:false, maxZoom:28, minZoom:3
        }).fitBounds([[25.0,-21.0],[49.0,30.0]]);
        
        var hash = new L.Hash(map);
        
        map.attributionControl.setPrefix('<a href="https://leafletjs.com" title="A JS library for interactive maps">Leaflet</a> &middot; <a href="https://qgis.org">QGIS</a>');
        
        var autolinker = new Autolinker({truncate: {length: 30, location: 'smart'}});
        // remove popup's row if "visible-with-data"
        function removeEmptyRowsFromPopupContent(content, feature) {
         var tempDiv = document.createElement('div');
         tempDiv.innerHTML = content;
         var rows = tempDiv.querySelectorAll('tr');
         for (var i = 0; i < rows.length; i++) {
             var td = rows[i].querySelector('td.visible-with-data');
             var key = td ? td.id : '';
             if (td && td.classList.contains('visible-with-data') && feature.properties[key] == null) {
                 rows[i].parentNode.removeChild(rows[i]);
             }
         }
         return tempDiv.innerHTML;
        }
        // modify popup if contains media
        function addClassToPopupIfMedia(content, popup) {
            var tempDiv = document.createElement('div');
            tempDiv.innerHTML = content;
            var imgTd = tempDiv.querySelector('td img');
            if (imgTd) {
                var src = imgTd.getAttribute('src');
                if (/\.(jpg|jpeg|png|gif|bmp|webp|avif)$/i.test(src)) {
                    popup._contentNode.classList.add('media');
                    setTimeout(function() {
                        popup.update();
                    }, 10);
                } else if (/\.(mp3|wav|ogg|aac)$/i.test(src)) {
                    var audio = document.createElement('audio');
                    audio.controls = true;
                    audio.src = src;
                    imgTd.parentNode.replaceChild(audio, imgTd);
                    popup._contentNode.classList.add('media');
                    setTimeout(function() {
                        popup.setContent(tempDiv.innerHTML);
                        popup.update();
                    }, 10);
                } else if (/\.(mp4|webm|ogg|mov)$/i.test(src)) {
                    var video = document.createElement('video');
                    video.controls = true;
                    video.src = src;
                    video.style.width = "400px";
                    video.style.height = "300px";
                    video.style.maxHeight = "60vh";
                    video.style.maxWidth = "60vw";
                    imgTd.parentNode.replaceChild(video, imgTd);
                    popup._contentNode.classList.add('media');
                   
                    video.addEventListener('loadedmetadata', function() {
                        popup.update();
                    });
                    setTimeout(function() {
                        popup.setContent(tempDiv.innerHTML);
                        popup.update();
                    }, 10);
                } else {
                    popup._contentNode.classList.remove('media');
                }
            } else {
                popup._contentNode.classList.remove('media');
            }
        }
   
        /*
        var title = new L.Control({'position':'topleft'});
        title.onAdd = function (map) {
            this._div = L.DomUtil.create('div', 'info');
            this.update();
            return this._div;
        };
        title.update = function () {
            this._div.innerHTML = '<h2>The Source</h2>';
        };
        title.addTo(map);

*/
        var zoomControl = L.control.zoom({
            position: 'topleft'
        }).addTo(map);
        L.control.locate({locateOptions: {maxZoom: 19}}).addTo(map);
        
        var measureControl = new L.Control.Measure({
            position: 'topleft',
            primaryLengthUnit: 'meters',
            secondaryLengthUnit: 'kilometers',
            primaryAreaUnit: 'sqmeters',
            secondaryAreaUnit: 'hectares'
        });
        measureControl.addTo(map);
        document.getElementsByClassName('leaflet-control-measure-toggle')[0].innerHTML = '';
        document.getElementsByClassName('leaflet-control-measure-toggle')[0].className += ' fas fa-ruler';
        
// Add watermark image 
         L.Control.Watermark=L.Control.extend({
            onAdd:function(map){
                var img = L.DomUtil.create('img');
                img.src= 'images/THE_SOURCE-COLOR-HORIZONTAL.jpg';
                img.style.width='160px';
                return img;
            },
            onRemove:function(map){},
        });

        L.control.watermark = function(opts){
            return new L.Control.Watermark(opts);
        }
// Coordenates Mouse Position
        L.control.mousePosition({
            position: 'bottomright',   
            separator: ' , ',        
            prefix: "Coordenates:"    
        }).addTo(map);
       
        L.control.watermark({position:'topright'}).addTo(map);
// MiniMap
        var layer_ESRIStandard_0 = L.tileLayer('https://server.arcgisonline.com/ArcGIS/rest/services/World_Street_Map/MapServer/tile/{z}/{y}/{x}', {
            opacity: 1.0,
            attribution: '<a>© ESRI</a>',
            minZoom: 0,
            maxZoom: 28
            
        });
        var miniMap = new L.Control.MiniMap(layer_ESRIStandard_0,{
            position: 'bottomleft',
            toggleDisplay: true
        }).addTo(map);
       
        
        var bounds_group = new L.featureGroup([]);
        function setBounds() {
            map.setMaxBounds(map.getBounds());
            map.setMinZoom(map.getZoom());
        }

       
        map.createPane('pane_GoogleSatellite_0');
        map.getPane('pane_GoogleSatellite_0').style.zIndex = 400;
        var layer_GoogleSatellite_0 = L.tileLayer('https://mt1.google.com/vt/lyrs=s&x={x}&y={y}&z={z}', {
            pane: 'pane_GoogleSatellite_0',
            opacity: 1.0,
            attribution: '<a href="https://www.google.at/permissions/geoguidelines/attr-guide.html">Map data © Google</a>',
            minZoom: 1,
            maxZoom: 28,
            minNativeZoom: 0,
            maxNativeZoom: 20
        });
        layer_GoogleSatellite_0;
        
        map.createPane('pane_GoogleMaps_1');
        map.getPane('pane_GoogleMaps_1').style.zIndex = 401;
        var layer_GoogleMaps_1 = L.tileLayer('https://mt1.google.com/vt/lyrs=m&x={x}&y={y}&z={z}', {
            pane: 'pane_GoogleMaps_1',
            opacity: 1.0,
            attribution: '<a href="https://www.google.at/permissions/geoguidelines/attr-guide.html">Map data © Google</a>',
            minZoom: 1,
            maxZoom: 28,
        });
        layer_GoogleMaps_1;
        map.addLayer(layer_GoogleMaps_1);
       
        map.createPane('pane_OpenStreetMaps_2');
        map.getPane('pane_OpenStreetMaps_2').style.zIndex = 402;
        var layer_OpenStreetMaps_2 = L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
            pane: 'pane_OpenStreetMaps_2',
            opacity: 1.0,
            attribution: '<a href="https://www.openstreetmap.org/copyright">© OpenStreetMap contributors, CC-BY-SA</a>',
            minZoom: 1,
            maxZoom: 28,
            minNativeZoom: 0,
            maxNativeZoom: 19
        });
        layer_OpenStreetMaps_2;
       
        map.createPane('pane_GoogleHybrid_3');
        map.getPane('pane_GoogleHybrid_3').style.zIndex = 400;
        var layer_GoogleHybrid_3 = L.tileLayer('https://mt1.google.com/vt/lyrs=y&x={x}&y={y}&z={z}', {
            pane: 'pane_GoogleHybrid_3',
            opacity: 1.0,
            attribution: '<a href="https://www.google.at/permissions/geoguidelines/attr-guide.html">Map data © Google</a>',
            minZoom: 1,
            maxZoom: 28,
            minNativeZoom: 0,
            maxNativeZoom: 20
        });
        layer_GoogleHybrid_3;
       
       
       
       
        function pop_TheSource_3(feature, layer) {
            layer.on({
                mouseout: function(e) {
                    for (var i in e.target._eventParents) {
                        if (typeof e.target._eventParents[i].resetStyle === 'function') {
                            e.target._eventParents[i].resetStyle(e.target);
                        }
                    }
                },
                mouseover: highlightFeature,
            });
            var popupContent = '<table>\
                    <tr>\
                        <td class="visible-with-data" id="7_Take_a_g" colspan="2"><strong>General image</strong><br />' + (feature.properties['7_Take_a_g'] !== null ? '<img src="images/' + feature.properties['7_Take_a_g'] + '" style="width:100%; height:auto; border-radius:6px;">' : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="8_Take_a_c" colspan="2"><strong>Close-up image</strong><br />' + (feature.properties['8_Take_a_c'] !== null ? '<img src="images/' + feature.properties['8_Take_a_c'] + '" style="width:100%; height:auto; border-radius:6px;">' : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="9_Take_a_p" colspan="2"><strong>Surroundings</strong><br />' + (feature.properties['9_Take_a_p'] !== null ? '<img src="images/' + feature.properties['9_Take_a_p'] + '" style="width:100%; height:auto; border-radius:6px;">' : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="10_Take_a_" colspan="2"><strong>Other features</strong><br />' + (feature.properties['10_Take_a_'] !== null ? '<img src="images/' + feature.properties['10_Take_a_'] + '" style="width:100%; height:auto; border-radius:6px;">' : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="20_Water_s" colspan="2"><strong>Water source name</strong><br />' + (feature.properties['20_Water_s'] !== null ? autolinker.link(String(feature.properties['20_Water_s']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="4_Access_t" colspan="2"><strong>Access type</strong><br />' + (feature.properties['4_Access_t'] !== null ? autolinker.link(String(feature.properties['4_Access_t']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="5_Location" colspan="2"><strong>Location type</strong><br />' + (feature.properties['5_Location'] !== null ? autolinker.link(String(feature.properties['5_Location']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="11_Type_of" colspan="2"><strong>Type of source</strong><br />' + (feature.properties['11_Type_of'] !== null ? autolinker.link(String(feature.properties['11_Type_of']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="12_Histori" colspan="2"><strong>Historical water source type</strong><br />' + (feature.properties['12_Histori'] !== null ? autolinker.link(String(feature.properties['12_Histori']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="13_Source_" colspan="2"><strong>Source of community interest type</strong><br />' + (feature.properties['13_Source_'] !== null ? autolinker.link(String(feature.properties['13_Source_']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="14_Natural" colspan="2"><strong>Natural source type</strong><br />' + (feature.properties['14_Natural'] !== null ? autolinker.link(String(feature.properties['14_Natural']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="15_Conserv" colspan="2"><strong>Conservation status</strong><br />' + (feature.properties['15_Conserv'] !== null ? autolinker.link(String(feature.properties['15_Conserv']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="16_Water_s" colspan="2"><strong>Water source operability</strong><br />' + (feature.properties['16_Water_s'] !== null ? autolinker.link(String(feature.properties['16_Water_s']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="17_Drinkab" colspan="2"><strong>Drinkability</strong><br />' + (feature.properties['17_Drinkab'] !== null ? autolinker.link(String(feature.properties['17_Drinkab']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="18_Water_f" colspan="2"><strong>Water source activation</strong><br />' + (feature.properties['18_Water_f'] !== null ? autolinker.link(String(feature.properties['18_Water_f']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                     <tr>\
                        <td class="visible-with-data" id="19_Approxi" colspan="2"><strong>Age or period of the fountain </strong><br />' + (feature.properties['19_Approxi'] !== null ? autolinker.link(String(feature.properties['19_Approxi']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="pdf_file" colspan="2"><strong>Data sheet</strong><br />' + (feature.properties['pdf_file'] !== null ? '<a href="docs/' + feature.properties['pdf_file'] + '" target="_blank" style="color:blue; font-weight:bold;"> View data sheet</a>' : '') + '</td>\
                    </tr>\
                </table>';

/*
                    <tr>\
                        <td class="visible-with-data" id="lat_6_Ente" colspan="2"><strong>Latitude</strong><br />' + (feature.properties['lat_6_Ente'] !== null ? autolinker.link(String(feature.properties['lat_6_Ente']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="long_6_Ent" colspan="2"><strong>Longitude</strong><br />' + (feature.properties['long_6_Ent'] !== null ? autolinker.link(String(feature.properties['long_6_Ent']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="2_Enter_th" colspan="2"><strong>Date</strong><br />' + (feature.properties['2_Enter_th'] !== null ? autolinker.link(String(feature.properties['2_Enter_th']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td class="visible-with-data" id="3_Enter_th" colspan="2"><strong>Time</strong><br />' + (feature.properties['3_Enter_th'] !== null ? autolinker.link(String(feature.properties['3_Enter_th']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
*/

        var content = removeEmptyRowsFromPopupContent(popupContent, feature);
			layer.on('popupopen', function(e) {
				addClassToPopupIfMedia(content, e.popup);
			});
			//layer.bindPopup(content, { maxHeight: 350, minWidth:600  });

            layer.bindPopup(content, { className: 'popup-fijo'});

        }

        function style_TheSource_3_0() {
            return {
                pane: 'pane_TheSource_3',
        rotationAngle: 0.0,
        rotationOrigin: 'center center',
        icon: L.icon({
            iconUrl: 'markers/TheSource_3.svg',
            iconSize: [16.529999999999998, 16.529999999999998]
        }),
                interactive: true,
            }
        }
        map.createPane('pane_TheSource_3');
        map.getPane('pane_TheSource_3').style.zIndex = 403;
        map.getPane('pane_TheSource_3').style['mix-blend-mode'] = 'normal';
        var layer_TheSource_3 = new L.geoJson(json_TheSource_3, {
            attribution: '',
            interactive: true,
            dataVar: 'json_TheSource_3',
            layerName: 'layer_TheSource_3',
            pane: 'pane_TheSource_3',
            onEachFeature: pop_TheSource_3,
            pointToLayer: function (feature, latlng) {
                var context = {
                    feature: feature,
                    variables: {}
                };
                return L.marker(latlng, style_TheSource_3_0(feature));
            },
        });
        var cluster_TheSource_3 = new L.MarkerClusterGroup({showCoverageOnHover: false,
            spiderfyDistanceMultiplier: 2});
        cluster_TheSource_3.addLayer(layer_TheSource_3);

        bounds_group.addLayer(layer_TheSource_3);
        cluster_TheSource_3.addTo(map);

        function pop_Mask_CNTR_TheSource_4(feature, layer) {
            layer.on({
                mouseout: function(e) {
                    for (var i in e.target._eventParents) {
                        if (typeof e.target._eventParents[i].resetStyle === 'function') {
                            e.target._eventParents[i].resetStyle(e.target);
                        }
                    }
                },
                mouseover: highlightFeature,
            });
            var popupContent = '<table>\
                    <tr>\
                        <td colspan="2">' + (feature.properties['CNTR_ID'] !== null ? autolinker.link(String(feature.properties['CNTR_ID']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td colspan="2">' + (feature.properties['CNTR_NAME'] !== null ? autolinker.link(String(feature.properties['CNTR_NAME']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td colspan="2">' + (feature.properties['NAME_ENGL'] !== null ? autolinker.link(String(feature.properties['NAME_ENGL']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td colspan="2">' + (feature.properties['ISO3_CODE'] !== null ? autolinker.link(String(feature.properties['ISO3_CODE']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td colspan="2">' + (feature.properties['FID'] !== null ? autolinker.link(String(feature.properties['FID']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                    <tr>\
                        <td colspan="2">' + (feature.properties['Project'] !== null ? autolinker.link(String(feature.properties['Project']).replace(/'/g, '\'').toLocaleString()) : '') + '</td>\
                    </tr>\
                </table>';
            var content = removeEmptyRowsFromPopupContent(popupContent, feature);
			layer.on('popupopen', function(e) {
				addClassToPopupIfMedia(content, e.popup);
			});
			layer.bindPopup(content, { maxHeight: 350, minWidth:600});
        }

        function style_Mask_CNTR_TheSource_4_0(feature) {
            switch(String(feature.properties['Project'])) {
                case 'The Source':
                    return {
                pane: 'pane_Mask_CNTR_TheSource_4',
                opacity: 1,
                color: 'rgba(149,83,164,1.0)',
                dashArray: '',
                lineCap: 'butt',
                lineJoin: 'miter',
                weight: 3.0, 
                fillOpacity: 0,
                interactive: false,
            }
                    break;
                case 'NONE':
                    return {
                pane: 'pane_Mask_CNTR_TheSource_4',
                opacity: 1,
                color: 'rgba(176,176,176,1.0)',
                dashArray: '',
                lineCap: 'butt',
                lineJoin: 'miter',
                weight: 1.0, 
                fill: true,
                fillOpacity: 0.6,
                fillColor: 'rgba(255,255,255,1.0)',
                interactive: false,
            }
                    break;
            }
        }
        map.createPane('pane_Mask_CNTR_TheSource_4');
        map.getPane('pane_Mask_CNTR_TheSource_4').style.zIndex = 404;
        map.getPane('pane_Mask_CNTR_TheSource_4').style['mix-blend-mode'] = 'normal';
        var layer_Mask_CNTR_TheSource_4 = new L.geoJson(json_Mask_CNTR_TheSource_4, {
            attribution: '',
            interactive: false,
            dataVar: 'json_Mask_CNTR_TheSource_4',
            layerName: 'layer_Mask_CNTR_TheSource_4',
            pane: 'pane_Mask_CNTR_TheSource_4',
            onEachFeature: pop_Mask_CNTR_TheSource_4,
            style: style_Mask_CNTR_TheSource_4_0,
        });
        bounds_group.addLayer(layer_Mask_CNTR_TheSource_4);
        map.addLayer(layer_Mask_CNTR_TheSource_4);
        const url = {"Nominatim OSM": "https://nominatim.openstreetmap.org/search?format=geojson&addressdetails=1&",
        "France BAN": "https://api-adresse.data.gouv.fr/search/?"}
        var photonControl = L.control.photon({
            url: url["Nominatim OSM"],
            feedbackLabel: '',
            position: 'topleft',
            includePosition: true,
            initial: true,
            // resultsHandler: myHandler,
        }).addTo(map);
        photonControl._container.childNodes[0].style.borderRadius="10px"
        // Create a variable to store the geoJSON data
        var x = null;
        // Create a variable to store the marker
        var marker = null;
        // Add an event listener to the Photon control to create a marker from the returned geoJSON data
        var z = null;
        photonControl.on('selected', function(e) {
            console.log(photonControl.search.resultsContainer);
            if (x != null) {
                map.removeLayer(obj3.marker);
                map.removeLayer(x);
            }
            obj2.gcd = e.choice;
            x = L.geoJSON(obj2.gcd).addTo(map);
            var label = typeof obj2.gcd.properties.label === 'undefined' ? obj2.gcd.properties.display_name : obj2.gcd.properties.label;
            obj3.marker = L.marker(x.getLayers()[0].getLatLng()).bindPopup(label).addTo(map);
            map.setView(x.getLayers()[0].getLatLng(), 17);
            z = typeof e.choice.properties.label === 'undefined'? e.choice.properties.display_name : e.choice.properties.label;
            console.log(e);
            e.target.input.value = z;
        });
        var search = document.getElementsByClassName("leaflet-photon leaflet-control")[0];
        search.classList.add("leaflet-control-search")
        search.style.display = "flex";
        search.style.backgroundColor="rgba(255,255,255,0.5)" 

        // Create the new button element
        var button = document.createElement("div");
        button.id = "gcd-button-control";
        button.className = "gcd-gl-btn fa fa-search search-button";

        // Insert the button at the beginning of the search control
        search.insertBefore(button, search.firstChild);
        last = search.lastChild;
        last.style.display = "none";
        button.addEventListener("click", function (e) {
            if (last.style.display === "none") {
                last.style.display = "block";
            } else {
                last.style.display = "none";
            }
        });
        
        var overlaysTree = [
            //{label: 'Mask_CNTR_TheSource<br /><table><tr><td style="text-align: center;"><img src="legend/Mask_CNTR_TheSource_4_TheSource0.png" /></td><td>The Source</td></tr><tr><td style="text-align: center;"><img src="legend/Mask_CNTR_TheSource_4_NONE1.png" /></td><td>NONE</td></tr></table>', layer: layer_Mask_CNTR_TheSource_4},
            {label: '<img src="legend/TheSource_3.png" /> The Source', layer: cluster_TheSource_3}
        ]
       
        var basemaps= [
            //{label: "Open Street Maps", layer: layer_OpenStreetMaps_2, radioGroup: 'bm' },
            {label: "Google Maps", layer: layer_GoogleMaps_1, radioGroup: 'bm' },
            {label: "Google Hybrid", layer: layer_GoogleHybrid_3, radioGroup: 'bm' },
            {label: "Google Satellite", layer: layer_GoogleSatellite_0, radioGroup: 'bm' }
        ]
       
        var lay = L.control.layers.tree(basemaps, {
            namedToggle: true,
            //selectorBack: false,
            //closedSymbol: '&#8862; &#x1f5c0;',
            //openedSymbol: '&#8863; &#x1f5c1;',
            //collapseAll: 'Collapse all',
            //expandAll: 'Expand all',
            collapsed: true,
        });


        lay.addTo(map);
        setBounds();
/*
        map.on('overlayremove', function(e) {
            if (e.name === " The Source") {
                map.addLayer(cluster_TheSource_3);
            }
        });
*/
        map.addControl(new L.Control.Search({
            layer: layer_TheSource_3,
            initial: false,
            hideMarkerOnCollapse: true,
            propertyName: '20_Water_s'}));
        if (typeof url === 'undefined') {
            document.getElementsByClassName('search-button')[0].className += ' fa fa-binoculars';
        } else {
            document.getElementsByClassName('search-button')[1].className += ' fa fa-binoculars';
        }
       